Bug 248156 - Kernel freeze : likely related to Etherenet driver or IRQ
Kernel freeze : likely related to Etherenet driver or IRQ
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-07-13 10:55 EDT by Russell McOrmond
Modified: 2008-02-07 23:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell McOrmond 2007-07-13 10:55:26 EDT
Description of problem:

Machine is used as a firewall with 4 interfaces:  3 cards that use the 8139too
driver, and a motherboard Ethernet that uses the e100 driver.

All seem to have separate IRQ's/etc

With the kernel-2.6.20-1.2312.fc5 kernel it runs fine, but if I use newer
kernels (IE: kernel-2.6.20-1.2952.fc6 kernel-2.6.20-1.2962.fc6) it will freeze
after about a day of activity.

I am using the FC6 userspace, but had an old FC5 from before the upgrade which I
tested to be fine.

The problem is quite intermittent, but given the usage (Firewall/router -- not
much running in userspace at all), and the change only being in build
environment and RedHat patches (IE: same base kernel), it may be easier to find
what changed.

I would test the F7 kernel, except that it uses the new kernel which changes my
/dev/hda to /dev/sda which is harder to switch between versions.  I tried with
and without "pci=routeirq", and it makes no difference.

How reproducible:

With the newer kernels it will freeze after about a day of activity.

Additional info:

8139too Fast Ethernet driver 0.9.28
PCI: Enabling device 0000:02:0c.0 (0104 -> 0107)
ACPI: PCI Interrupt 0000:02:0c.0[A] -> GSI 16 (level, low) -> IRQ 17
eth0: RealTek RTL8139 at 0xf086e000, 00:60:67:70:66:c7, IRQ 17
eth0:  Identified 8139 chip type 'RTL-8139A'
PCI: Enabling device 0000:02:0d.0 (0104 -> 0107)
ACPI: PCI Interrupt 0000:02:0d.0[A] -> GSI 21 (level, low) -> IRQ 18
eth1: RealTek RTL8139 at 0xf0896400, 00:48:54:1e:2c:2e, IRQ 18
eth1:  Identified 8139 chip type 'RTL-8139C'
PCI: Enabling device 0000:02:0e.0 (0104 -> 0107)
ACPI: PCI Interrupt 0000:02:0e.0[A] -> GSI 22 (level, low) -> IRQ 19
eth2: RealTek RTL8139 at 0xf0898800, 00:60:67:73:bf:25, IRQ 19
eth2:  Identified 8139 chip type 'RTL-8139B'
8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
hdc: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
e100: Intel(R) PRO/100 Network Driver, 3.5.17-k2-NAPI
e100: Copyright(c) 1999-2006 Intel Corporation
ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 20 (level, low) -> IRQ 20
e100: eth3: e100_probe: addr 0xf2000000, irq 20, MAC addr 00:09:6B:F2:B9:5B
Comment 1 Jon Stanley 2008-01-07 20:51:33 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:24:21 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.